/*  ARC - Archive utility - ARC Header

    Version 2.05, created on 05/01/85 at 22:22:16

(C) COPYRIGHT 1985 by System Enhancement Associates; ALL RIGHTS RESERVED

    By:  Thom Henderson

    Description: 
         This is the header file for the ARC archive utility.  It defines
         global parameters and the references to the external data.


    Language:
         Computer Innovations Optimizing C86
*/


struct heads                           /* archive entry header format */
{   char name[13];                /* file name */
    long size;                         /* size of file, in bytes */
    int date;                          /* creation date */
    int time;                          /* creation time */
    int crc;                           /* cyclic redundancy check */
    long length;                       /* true file length */
}   ;

extern int keepbak;             /* true if saving the old archive */
extern int warn;                /* true to print warnings */
extern int note;                /* true to print comments */
extern int bose;                /* true to be verbose */
extern int kludge;              /* true for nosqueeze kludge */

extern char hdrver;                      /* header version */

extern FILE *arc;                        /* the new archive */
extern FILE *bak;                        /* the old archive */
extern char arcname[100];           /* storage for archive name */
extern char bakname[100];           /* storage for backup name */
extern int arcdate;             /* archive date stamp */
extern int arctime;             /* archive time stamp */
